Loading...
Searching...
No Matches
ParmFactory.h File Reference

A collection of factory methods and helper functions to simplify Houdini plugin development and maintenance. More...

`#include <GA/GA_Attribute.h>`
`#include <OP/OP_AutoLockInputs.h>`
`#include <OP/OP_Operator.h>`
`#include <PRM/PRM_Include.h>`
`#include <PRM/PRM_SpareData.h>`
`#include <SOP/SOP_Node.h>`
`#include <SOP/SOP_NodeVerb.h>`
`#include <openvdb/version.h>`
`#include <exception>`
`#include <functional>`
`#include <map>`
`#include <memory>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | ParmList
| Parameter template list that is always terminated. More...
class | ParmFactory
| Helper class to simplify construction of PRM_Templates and dynamic user interfaces. More...
class | OpFactory
| Helper class to simplify operator registration. More...
class | OpPolicy
| An OpPolicy customizes the behavior of an OpFactory. This base class specifies the required interface. More...
class | ScopedInputLock
| Helper class to manage input locking. More...

## Namespaces

namespace | houdini_utils

## Macros

#define | IS_DEPRECATED

## Typedefs

using | SpareDataMap = std::map<std::string, std::string>
using | OpPolicyPtr = std::shared_ptr<OpPolicy>

## Functions

const SpareDataMap & | getOperatorSpareData (const OP_Operator &)
| Return the spare data associated with the given operator.
void | addOperatorSpareData (OP_Operator &, const SpareDataMap &)
| Specify (key, value) pairs of spare data for the given operator.

## Variables

OPENVDB_HOUDINI_API const PRM_ChoiceList | PrimGroupMenuInput1
OPENVDB_HOUDINI_API const PRM_ChoiceList | PrimGroupMenuInput2
OPENVDB_HOUDINI_API const PRM_ChoiceList | PrimGroupMenuInput3
OPENVDB_HOUDINI_API const PRM_ChoiceList | PrimGroupMenuInput4
OPENVDB_HOUDINI_API const PRM_ChoiceList | PrimGroupMenu

## Detailed Description

A collection of factory methods and helper functions to simplify Houdini plugin development and maintenance.

Author
  FX R&D OpenVDB team

## Macro Definition Documentation

## IS_DEPRECATED

#define IS_DEPRECATED